import { OnDestroy } from '@angular/core';
import { Subject } from 'rxjs';

export class BaseComponent implements OnDestroy {

  isEditMode = false;
  isLoading = false;

  protected componentInView = new Subject();

  ngOnDestroy(): void {
    this.componentInView.next();
    this.componentInView.complete();
  }

}
